package com.ss.android.ugc.aweme.experiment;

import X.0Bt;
import X.1Bn;
import X.1hK;
import X.7he;
import X.C07502fO;
import X.C07512fP;
import X.C07522fQ;
import X.C07532fR;
import X.Crj;
import X.M12;
import android.app.Activity;
import com.bytedance.covode.number.Covode;

public final class FeedRefreshViewModel extends 0Bt {
    public static final C07502fO LIZIZ = new C07502fO((byte) 0);
    public final Crj LIZ = 7he.LIZ(C07522fQ.LIZ);
    public final Crj LIZJ = 7he.LIZ(C07532fR.LIZ);
    public final Crj LIZLLL = 7he.LIZ(C07512fP.LIZ);

    static {
        Covode.recordClassIndex(74364);
    }

    public final 1Bn<Boolean> LIZ() {
        return (1Bn) this.LIZLLL.getValue();
    }

    public static final FeedRefreshViewModel LIZ(Activity activity) {
        C07502fO r1 = LIZIZ;
        M12.LIZ(activity);
        if (activity instanceof 1hK) {
            return r1.LIZ((1hK) activity);
        }
        return null;
    }
}
